/*

  Temperature and Humidity Sensor DHT22 (4 Pin Component)

  Parts required:
  - Arduino Board
  - Temperature and Humidity Sensor DHT22 (4 Pin Component)

  Libraries:
  - DHT Sensor Library          - version 1.3.7 eller nyere
  - Adafruit Unified Sensor     - version 1.0.3 eller nyere

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 21 Aug 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <DHT.h>                        // includes library DHT.h
#define DHTType DHT22                   // set the type of sensor in this example DHT22
#define DHTPin 7                        // set digital pin to 7

DHT dht(DHTPin, DHTType);               // create object from DHT to dht(DHTPin, DHTType)

void setup() {
  Serial.begin(9600);                   // start serial communication
  dht.begin();                          // initialize DHT

}

void loop()
{
  Serial.print("Temp: ");               // print to serial monitor
  Serial.print(dht.readTemperature());  // print the value of dht temperature to serial monitor
  Serial.println("C");                  // print to serial monitor
  Serial.print("Humidity: ");           // print to serial monitor
  Serial.print(dht.readHumidity());     // print the value of dht humidity to serial monitor
  Serial.println("%");                  // print to serial monitor
  Serial.println("----------------");   // print to serial monitor
  delay(1000);                          // wait for 1 sec
}
